Jiniu AIJiniu AI
Docs
VideosVolcano native format

Get video generation task details

Get the status and result of a single video generation task by ID. Returns a download URL once it succeeds.

GET
/api/v3/contents/generations/tasks/{id}

Path Parameters

id*string

The task ID returned when the task was created

Response Body

application/json

curl -X GET "https://jiniu.ai/api/v3/contents/generations/tasks/string"
{
  "id": "cgt-2026xxxx-xxxxx",
  "model": "dreamina-seedance-2-0-260128",
  "status": "succeeded",
  "content": {
    "video_url": "https://…(预签名直链,24 小时内有效)"
  },
  "resolution": "480p",
  "duration": 5,
  "ratio": "16:9",
  "framespersecond": 24,
  "usage": {
    "completion_tokens": 50638,
    "total_tokens": 50638
  },
  "created_at": 1787000000
}